Skip to main content

Create a vendor for Buildium

POSThttps://api.propexo.com/v1/vendors/buildium/
InterfaceMethod
VendorsPOST /vendors
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_category_idstringrequired

    The Propexo unique identifier for the vendor category

    is_companybooleanrequired

    Indicates whether the vendor should be considered a company or person

    first_namestring

    First name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    last_namestring

    Last name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    namestring

    Company name of the vendor. Required if is_company is true

    Possible values: <= 127 characters

    email_1string<email>

    Primary email for the vendor

    email_2string<email>

    Alternate email for the vendor

    phone_1string

    First phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_1_typestring

    First phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Second phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_2_typestring

    Second phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string

    The first address line associated with the vendor

    Possible values: <= 100 characters

    address_2string

    The second address line associated with the vendor

    Possible values: <= 100 characters

    citystring

    The city associated with the vendor

    Possible values: <= 100 characters

    statestring

    The state associated with the vendor

    zipstring

    The zip code associated with the vendor

    countrystring

    The country associated with the vendor

    account_numberstring

    The account number associated with the vendor

    Possible values: <= 30 characters

    websitestring<uri>

    The website URL associated with the vendor

    Possible values: <= 100 characters

    insurance_providerstring

    Vendor insurance provider

    Possible values: <= 65 characters

    insurance_policy_numberstring

    Vendor insurance policy number

    Possible values: <= 65 characters

    insurance_expire_datestring<date-time>

    Vendor insurance policy expiration date

    notesstring

    Notes associated with the vendor

    Possible values: <= 65535 characters

    tax_idstring

    The unique identifier of the tax payer. Required if tax_payer_type is set

    tax_payer_typestring

    The tax payer type. Required if tax_id is set

    Show 2 enum values
    SSNEIN
    tax_payer_name_1string

    The tax payer name 1

    Possible values: <= 40 characters

    tax_payer_name_2string

    The tax payer name 2

    Possible values: <= 40 characters

    tax_address_1string

    The tax payer address line 1

    Possible values: <= 100 characters

    tax_address_2string

    The tax payer address line 2

    Possible values: <= 100 characters

    tax_citystring

    The tax payer address city

    Possible values: <= 100 characters

    tax_statestring

    The tax payer address state

    tax_zipstring

    The tax payer address zip code

    tax_countrystring

    The tax payer address country

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_category_idstringrequired

    The Propexo unique identifier for the vendor category

    is_companybooleanrequired

    Indicates whether the vendor should be considered a company or person

    first_namestring | nullnullablerequired

    First name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    last_namestring | nullnullablerequired

    Last name of the vendor. Required if is_company is false

    Possible values: <= 127 characters

    namestring | nullnullablerequired

    Company name of the vendor. Required if is_company is true

    Possible values: <= 127 characters

    email_1(string | null)<email>nullablerequired

    Primary email for the vendor

    email_2(string | null)<email>nullablerequired

    Alternate email for the vendor

    phone_1string | nullnullablerequired

    First phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_1_typestring | nullnullablerequired

    First phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string | nullnullablerequired

    Second phone number

    Possible values: >= 10 characters and <= 20 characters

    phone_2_typestring | nullnullablerequired

    Second phone number type

    Show 4 enum values
    HOMEWORKMOBILEFAX
    address_1string | nullnullablerequired

    The first address line associated with the vendor

    Possible values: <= 100 characters

    address_2string | nullnullablerequired

    The second address line associated with the vendor

    Possible values: <= 100 characters

    citystring | nullnullablerequired

    The city associated with the vendor

    Possible values: <= 100 characters

    statestring | nullnullablerequired

    The state associated with the vendor

    zipstring | nullnullablerequired

    The zip code associated with the vendor

    countrystring | nullnullablerequired

    The country associated with the vendor

    account_numberstring | nullnullablerequired

    The account number associated with the vendor

    Possible values: <= 30 characters

    website(string | null)<uri>nullablerequired

    The website URL associated with the vendor

    Possible values: <= 100 characters

    insurance_providerstring | nullnullablerequired

    Vendor insurance provider

    Possible values: <= 65 characters

    insurance_policy_numberstring | nullnullablerequired

    Vendor insurance policy number

    Possible values: <= 65 characters

    insurance_expire_date(string | null)<date-time>nullablerequired

    Vendor insurance policy expiration date

    notesstring | nullnullablerequired

    Notes associated with the vendor

    Possible values: <= 65535 characters

    tax_idstring | nullnullablerequired

    The unique identifier of the tax payer. Required if tax_payer_type is set

    tax_payer_typestring | nullnullablerequired

    The tax payer type. Required if tax_id is set

    Show 2 enum values
    SSNEIN
    tax_payer_name_1string | nullnullablerequired

    The tax payer name 1

    Possible values: <= 40 characters

    tax_payer_name_2string | nullnullablerequired

    The tax payer name 2

    Possible values: <= 40 characters

    tax_address_1string | nullnullablerequired

    The tax payer address line 1

    Possible values: <= 100 characters

    tax_address_2string | nullnullablerequired

    The tax payer address line 2

    Possible values: <= 100 characters

    tax_citystring | nullnullablerequired

    The tax payer address city

    Possible values: <= 100 characters

    tax_statestring | nullnullablerequired

    The tax payer address state

    tax_zipstring | nullnullablerequired

    The tax payer address zip code

    tax_countrystring | nullnullablerequired

    The tax payer address country

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/vendors/buildium/
curl -X POST https://api.propexo.com/v1/vendors/buildium/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_category_id": "string",
"is_company": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_category_id": "string",
"is_company": true,
"first_name": "string",
"last_name": "string",
"name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string",
"account_number": "string",
"website": "string",
"insurance_provider": "string",
"insurance_policy_number": "string",
"insurance_expire_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"tax_id": "string",
"tax_payer_type": "SSN",
"tax_payer_name_1": "string",
"tax_payer_name_2": "string",
"tax_address_1": "string",
"tax_address_2": "string",
"tax_city": "string",
"tax_state": "string",
"tax_zip": "string",
"tax_country": "string"
}
}